<< pei_tseng_notch | FOSSEE_Signal_Processing_Toolbox | periodogram >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > peig

# peig

Pseudospectrum using the eigenvector method.

### Syntax

    [S, w] = peig(x, p)
    [S, w] = peig(x, p, w)
    [S, w] = peig(x, p, nfft)
    [S, w] = peig(x, p, nfft, fs)
    [S, w] = peig(x, p, f, fs)
    [S, f] = peig(..., 'corr')
    [S, f] = peig(x, p, nfft, fs, nwin, noverlap)
    [...] = peig(..., freqrange)
    [..., v, e] = peig(...)

### Parameters

x:

  int|double - vector|matrix

p:

  int|double - scalar|vector

w:

  int|double - vector

nfft:

  int - scalar (Default = 256)

fs:

  int|double - scalar (Default = 1)

nwin:

  int|double - scalar (int only)|vector (Default = 2*p(1))

noverlap:

  int - scalar (Default = nwin-1)

freqrange:

  string

'corr' flag:

### Description

The `peig` function computes the pseudospectrum of a signal using the eigenvector method. It supports various input configurations, including signal subspace dimension, FFT length, sampling rate, and frequency range.

### Examples

    // Compute pseudospectrum for a signal:
    fs = 100
    t = 0:1/fs:1-1/fs;
    s = 2*sin(2*%pi*25*t) + sin(2*%pi*35*t) + rand(1, 100, "normal");
    [S, w] = peig(s, 2, 512, fs, 'half');
    plot(w, S)

### See also

- pmusic, pmtm, pcov, pmcov, pburg, pyulear, pwelch, corrmtx

### Authors

- Ayush Baid
- References
- [1] Petre Stoica and Randolph Moses, Introduction To Spectral Analysis, Prentice-Hall, 1997, pg. 15
- [2] S. J. Orfanidis, Optimum Signal Processing. An Introduction. 2nd Ed., Macmillan, 1988.

Report an issue
<< pei_tseng_notch | FOSSEE_Signal_Processing_Toolbox | periodogram >>